Package org.springframework.security.web.session

# Class HttpSessionIdChangedEvent

java.lang.Object
java.util.EventObject
org.springframework.context.ApplicationEvent
org.springframework.security.core.session.AbstractSessionEvent
org.springframework.security.core.session.SessionIdChangedEvent
org.springframework.security.web.session.HttpSessionIdChangedEvent

All Implemented Interfaces:
  `Serializable`

public class HttpSessionIdChangedEvent extends org.springframework.security.core.session.SessionIdChangedEvent
Published by the `HttpSessionEventPublisher` when an `HttpSession` ID is changed.

Since:
  5.4
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`HttpSessionIdChangedEvent(jakarta.servlet.http.HttpSession session, String oldSessionId)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getNewSessionId()`
`String`
`getOldSessionId()`

### Methods inherited from class org.springframework.context.ApplicationEvent

`getTimestamp`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HttpSessionIdChangedEvent

public HttpSessionIdChangedEvent(jakarta.servlet.http.HttpSession session, String oldSessionId)

## Method Details

### getOldSessionId

public String getOldSessionId()

Specified by:
  `getOldSessionId` in class `org.springframework.security.core.session.SessionIdChangedEvent`

### getNewSessionId

public String getNewSessionId()

Specified by:
  `getNewSessionId` in class `org.springframework.security.core.session.SessionIdChangedEvent`